cURL
curl https://api.neuraldraft.io/v1/components/cmp_2Ngd9KqLmRpW \
-H "Authorization: Bearer ndsk_live_yourkey"const cmp = await nd.components.get("cmp_2Ngd9KqLmRpW");
cmp = requests.get(
f"https://api.neuraldraft.io/v1/components/{id}",
headers={"Authorization": f"Bearer {key}"},
).json()
<?php
$cmp = json_decode((string) $client->get("components/{$id}", [
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"id": "cmp_2Ngd9KqLmRpW",
"html": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"intent": "marketing_hero",
"page_slug": "home",
"keys_created": [
"hero.headline",
"hero.subhead",
"hero.cta"
]
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Components
Get a component
Read-only. Does not consume credits.
GET
/
components
/
{id}
cURL
curl https://api.neuraldraft.io/v1/components/cmp_2Ngd9KqLmRpW \
-H "Authorization: Bearer ndsk_live_yourkey"const cmp = await nd.components.get("cmp_2Ngd9KqLmRpW");
cmp = requests.get(
f"https://api.neuraldraft.io/v1/components/{id}",
headers={"Authorization": f"Bearer {key}"},
).json()
<?php
$cmp = json_decode((string) $client->get("components/{$id}", [
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"id": "cmp_2Ngd9KqLmRpW",
"html": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"intent": "marketing_hero",
"page_slug": "home",
"keys_created": [
"hero.headline",
"hero.subhead",
"hero.cta"
]
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Path Parameters
Example:
"cmp_2Ngd9KqLmRpW"
Response
The component.